> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/banking-aliases/view-banking-alias-wallet/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View a Banking Alias for a Wallet GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/wallets/{WalletId}/bankingaliases **Deprecated – Decommissioning planned for 2027** Mangopay plans to decommission the Banking Alias endpoints in 2027. Platforms using them should plan to re-integrate using the [Virtual Account](/api-reference/virtual-accounts/virtual-account-object) endpoints. Existing Banking Alias objects are available via the [GET View a Virtual Account](/api-reference/virtual-accounts/view-virtual-account) endpoint by using the Banking Alias `Id` and `WalletId` as path parameters. **Note - Payee confirmation in the UK** When the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion. View a Banking Alias for a Wallet Reference: https://docs.mangopay.com/api-reference/banking-aliases/view-banking-alias-wallet ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `WalletId` (string, required) — The unique identifier of the wallet. ## Response ### 200 Success - `Array (Banking Alias)` (list of ViewABankingAliasForAWalletResponseArrayBankingAliasItems, optional) — The list of banking aliases created by the platform. ## Types ### ViewABankingAliasForAWalletResponseArrayBankingAliasItems - `Object (Banking Alias)` (ViewABankingAliasForAWalletResponseArrayBankingAliasItemsObjectBankingAlias, optional) — The Banking Alias object created by the platform. ### ViewABankingAliasForAWalletResponseArrayBankingAliasItemsObjectBankingAlias The Banking Alias object created by the platform. - `OwnerName` (string, optional) — The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)). If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`. If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`. **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response. - `IBAN` (string, optional) — The IBAN (international bank account number) of the banking alias. - `BIC` (string, optional) — The BIC (international identifier of the bank) for the banking alias. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `LocalAccountDetails` (SortCodeAccountNumber, optional) — The banking alias details in local format returned if applicable for the `Country` (e.g. `GB`), otherwise `null` - `CreditedUserId` (string, optional) — The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created. **Note:** Once the banking alias is created, it is not possible to change the `CreditedUserId`. - `Country` (string, optional) — **Returned values:** DE, DK, ES, FR, GB, LU, PL The country of the banking alias. The country must correspond to the currency of the wallet. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `Active` (boolean, optional) — Whether or not the banking alias is active. **Caution:** Setting this value to `false` is irreversible. - `Type` (string, optional) — **Returned values:** `IBAN`, `GB` The type of banking alias. The `GB` value is only returned if the `Country` is `GB`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `WalletId` (string, optional) — The unique identifier of the wallet. ### SortCodeAccountNumber The banking alias details in local format returned if applicable for the `Country` (e.g. `GB`), otherwise `null` - `SortCode` (string, optional) — The sort code of the banking alias in local format. - `AccountNumber` (string, optional) — The account number of the banking alias in local format. ## Examples ### FR **Response** ```json [ { "Active": true, "BIC": "MPAYFRP1PIN", "Country": "FR", "CreationDate": 1710846581, "CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA", "IBAN": "FR7674521100005657670994474", "Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA", "OwnerName": "MGP PlatformTradingName", "Tag": "Created using Mangopay API Postman Collection", "Type": "IBAN", "VirtualAccountPurposeResponse": "COLLECTION", "WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96" }, { "Active": true, "BIC": "MPAYFRP1PIN", "Country": "FR", "CreationDate": 1710846581, "CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA", "IBAN": "FR7674521100005657670994474", "Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA", "OwnerName": "MGP PlatformTradingName", "Tag": "Created using Mangopay API Postman Collection", "Type": "IBAN", "VirtualAccountPurposeResponse": "COLLECTION", "WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96" } ] ``` **SDK Code** ```javascript FR const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myWallet = { Id: '169738660', } const getWalletBankingAlias = async (walletId) => { return await mangopay.BankingAliases.getAll(walletId) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } getWalletBankingAlias(myWallet.Id) ``` ```java FR import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.entities.BankingAlias; import com.mangopay.entities.Wallet; import java.util.List; public class ViewWalletBankingAlias { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); Wallet wallet = mangopay.getWalletApi().get("wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5"); List bankingAliases = mangopay.getBankingAliases().listForWallet(wallet.getId()); for (BankingAlias bankingAlias : bankingAliases) { Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(bankingAlias); System.out.println(prettyJson); } } } ``` ```csharp FR using MangoPay.SDK; using MangoPay.SDK.Entities.PUT; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var walletId = "wlt_m_01J3D02K6ETV3BDP88C7PD2NDB"; var viewWalletBankingAlias = await api.BankingAlias.GetAllAsync(walletId, null, null); string prettyPrint = JsonConvert.SerializeObject(viewWalletBankingAlias, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ### GB **Response** ```json [ { "Active": true, "BIC": null, "Country": "GB", "CreationDate": 1730883439, "CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G", "IBAN": "GB78SAPY60838221394585", "Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q", "LocalAccountDetails": { "AccountNumber": "21394585", "SortCode": "608382" }, "OwnerName": "MGP PlatformTradingName", "Tag": "Created using Mangopay API Postman Collection", "Type": "GB", "VirtualAccountPurposeResponse": "COLLECTION", "WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM" }, { "Active": true, "BIC": null, "Country": "GB", "CreationDate": 1730883439, "CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G", "IBAN": "GB78SAPY60838221394585", "Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q", "LocalAccountDetails": { "AccountNumber": "21394585", "SortCode": "608382" }, "OwnerName": "MGP PlatformTradingName", "Tag": "Created using Mangopay API Postman Collection", "Type": "GB", "VirtualAccountPurposeResponse": "COLLECTION", "WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM" } ] ``` **SDK Code** ```javascript GB const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myWallet = { Id: '169738660', } const getWalletBankingAlias = async (walletId) => { return await mangopay.BankingAliases.getAll(walletId) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } getWalletBankingAlias(myWallet.Id) ``` ```java GB import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.entities.BankingAlias; import com.mangopay.entities.Wallet; import java.util.List; public class ViewWalletBankingAlias { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); Wallet wallet = mangopay.getWalletApi().get("wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5"); List bankingAliases = mangopay.getBankingAliases().listForWallet(wallet.getId()); for (BankingAlias bankingAlias : bankingAliases) { Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(bankingAlias); System.out.println(prettyJson); } } } ``` ```csharp GB using MangoPay.SDK; using MangoPay.SDK.Entities.PUT; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var walletId = "wlt_m_01J3D02K6ETV3BDP88C7PD2NDB"; var viewWalletBankingAlias = await api.BankingAlias.GetAllAsync(walletId, null, null); string prettyPrint = JsonConvert.SerializeObject(viewWalletBankingAlias, Formatting.Indented); Console.WriteLine(prettyPrint); } } ```